<?php
// Modifs Aurlien PIERARD

include ("inc.php3");
include_ecrire ("inc_config.php3");
include_ecrire ("inc_css.php");
include_ecrire ("inc_squelettes.php");
include_ecrire ("inc_backup.php3");

// On teste si les variables sont prsentes sinon redirection
if (!isset($_POST["type"])){
	header("Location: admin_squelettes.php3");
}
else {
	$type=$_POST["type"];
}

debut_page(_T('titre_admin_squelettes'), "administration", "squelettes");
echo "<br />";
gros_titre(_T('titre_admin_squelette_generer', array('type' => $type)));

// Partie gauche de la page
debut_gauche();

avertissement_config();

//
// Afficher les raccourcis : Gestion des squelettes types.
//
debut_raccourcis();
//
// Afficher les boutons de gestion des squelettes
//

	if (!file_exists("data/myspip/ini/configuration.ini")){
		icone_horizontale(_T('icone_squelette_entete_01'), "creer_squelette_entete.php3", "administration-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_entete_02'), "creer_squelette_entete.php3", "administration-24.gif");
	}
	echo "<hr />";
	if (!file_exists("data/myspip/ini/article.ini")){
		icone_horizontale(_T('icone_squelette_article_01'), "creer_squelette.php3?type=article", "article-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_article_02'), "creer_squelette.php3?type=article", "article-24.gif");
	}
	if (!file_exists("data/myspip/ini/breve.ini")){
		icone_horizontale(_T('icone_squelette_breve_01'), "creer_squelette.php3?type=breve", "breve-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_breve_02'), "creer_squelette.php3?type=breve", "breve-24.gif");
	}
	if (!file_exists("data/myspip/ini/contact.ini")){
		icone_horizontale(_T('icone_squelette_contact_01'), "creer_squelette.php3?type=contact", "messagerie-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_contact_02'), "creer_squelette.php3?type=contact", "messagerie-24.gif");
	}
	if (!file_exists("data/myspip/ini/forum.ini")){
		icone_horizontale(_T('icone_squelette_forum_01'), "creer_squelette.php3?type=forum", "forum-interne-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_forum_02'), "creer_squelette.php3?type=forum", "forum-interne-24.gif");
	}
	if (!file_exists("data/myspip/ini/plan.ini")){
		icone_horizontale(_T('icone_squelette_plan_01'), "creer_squelette.php3?type=plan", "asuivre-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_plan_02'), "creer_squelette.php3?type=plan", "asuivre-24.gif");
	}
	if (!file_exists("data/myspip/ini/recherche.ini")){
		icone_horizontale(_T('icone_squelette_recherche_01'), "creer_squelette.php3?type=recherche", "racine-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_recherche_02'), "creer_squelette.php3?type=recherche", "racine-24.gif");
	}
	if (!file_exists("data/myspip/ini/rubrique.ini")){
		icone_horizontale(_T('icone_squelette_rubrique_01'), "creer_squelette.php3?type=rubrique", "rubrique-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_rubrique_02'), "creer_squelette.php3?type=rubrique", "rubrique-24.gif");
	}
	if (!file_exists("data/myspip/ini/sommaire.ini")){
		icone_horizontale(_T('icone_squelette_sommaire_01'), "creer_squelette.php3?type=sommaire", "agenda-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_sommaire_02'), "creer_squelette.php3?type=sommaire", "agenda-24.gif");
	}

	echo "<hr/>";
	icone_horizontale(_T('icone_squelette_general'), "admin_squelettes.php3", "secteur-24.gif");


// Fin des racourcis
fin_raccourcis();
//


// Partie droite de la page
debut_droite();

if ($connect_statut != '0minirezo' OR !$connect_toutes_rubriques) {
	echo _T('avis_non_acces_page');
	fin_page();
	exit;
}


//
// gnration du squelette de type $type
//
debut_cadre_relief("administration-24.gif");
echo "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=5 WIDTH=\"100%\">";
echo "<TR><TD BGCOLOR='$couleur_foncee' BACKGROUND=''><B>";
echo "<FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#FFFFFF'>";
echo "<a name=\"1\">"._T('titre_admin_squelette_generer', array('type' => $type))."</a></FONT></B></TD></TR>";
echo "<tr><td class='serif' style=\"font-size:7pt;\">";
echo "\n<br /><p align='justify'>";

// Vider le repertoire CACHE
purger_repertoire('../CACHE', 0);
echo "<ul>";
echo _T('info_squelettes_predefinis_01');
echo "<br /><br />";

// Parcours du rpertoire des fichiers de configuration
$handle=opendir("data/myspip/ini/"); 
while ($fichier = readdir($handle)) { 
	if($fichier!= "." && $fichier!=".." && ereg("(.ini)$",$fichier)) { 
		// Fichiers css
		if (ereg("^(disposition)|^(style)", $fichier) && ereg($type,$fichier)){
			// On supprime l'extension du fichier
			$fichier=eregi_replace(".ini","",$fichier);
			if (generer_fichier_css($fichier,"non","non")){
				echo "<li>"._T('texte_squelette_generer_01', array('fichier' => $fichier, 'extension' => "css"))."</li>";
				if (copy("data/myspip/css/".$fichier.".css","../css/".$fichier.".css")){
					echo _T('info_squelettes_backup_copie_fichier', array('source' => "data/myspip/css/".$fichier.".css", 'destination' => "../css/".$fichier.".css"));
				}
				else {
					echo _T('info_squelettes_backup_copie_fichier_erreur', array('fichier' => $fichier.".css"));
				}
			}
			else {
				echo "<li>"._T('texte_squelette_generer_02', array('fichier' => $fichier, 'extension' => "css"))."</li>";
			}
			if (generer_fichier_css($fichier,"oui","non")){
				echo "<li>"._T('texte_squelette_generer_01', array('fichier' => $fichier."_big", 'extension' => "css"))."</li>";
				if (copy("data/myspip/css/".$fichier."_big.css","../css/".$fichier."_big.css")){
					echo _T('info_squelettes_backup_copie_fichier', array('source' => "data/myspip/css/".$fichier."_big.css", 'destination' => "../css/".$fichier."_big.css"));
				}
				else {
					echo _T('info_squelettes_backup_copie_fichier_erreur', array('fichier' => $fichier."_big.css"));
				}
			}
			else {
				echo "<li>"._T('texte_squelette_generer_02', array('fichier' => $fichier."_big", 'extension' => "css"))."</li>";
			}
			if (generer_fichier_css($fichier,"oui","oui")){
				echo "<li>"._T('texte_squelette_generer_01', array('fichier' => $fichier."_contraste", 'extension' => "css"))."</li>";
				if (copy("data/myspip/css/".$fichier."_contraste.css","../css/".$fichier."_contraste.css")){
					echo _T('info_squelettes_backup_copie_fichier', array('source' => "data/myspip/css/".$fichier."_contraste.css", 'destination' => "../css/".$fichier."_contraste.css"));
				}
				else {
					echo _T('info_squelettes_backup_copie_fichier_erreur', array('fichier' => $fichier."_contraste.css"));
				}
			}
			else {
				echo "<li>"._T('texte_squelette_generer_02', array('fichier' => $fichier."_contraste", 'extension' => "css"))."</li>";
			}
		}
		// Fichiers squelette
		else {
			if (!ereg("^(disposition)|^(style)|^(contenu)", $fichier) && ereg($type,$fichier)){
				// On supprime l'extension du fichier
				$fichier=eregi_replace(".ini","",$fichier);
				// Gnre le fichier html
				if(generer_squelette($fichier)){
					echo "<li>"._T('texte_squelette_generer_01', array('fichier' => $fichier, 'extension' => "html"))."</li>";
					if (copy("data/myspip/".$fichier.".html","../".$fichier.".html")){
						echo _T('info_squelettes_backup_copie_fichier', array('source' => "data/myspip/".$fichier.".html", 'destination' => "../".$fichier.".html"));
					}
					else {
						echo _T('info_squelettes_backup_copie_fichier_erreur', array('fichier' => $fichier.".html"));
					}
					// gnre le fichier .php3
					if (generer_squelette_php($fichier)){
						echo "<li>"._T('texte_squelette_generer_01', array('fichier' => $fichier, 'extension' => "php3"))."</li>";
						if (copy("data/myspip/".$fichier.".php3","../".$fichier.".php3")){
							echo _T('info_squelettes_backup_copie_fichier', array('source' => "data/myspip/".$fichier.".php3", 'destination' => "../".$fichier.".php3"));
						}
						else {
							echo _T('info_squelettes_backup_copie_fichier_erreur', array('fichier' => $fichier.".php3"));
						}
					}
					// Gnre le fichier de format de page (nombre et largeur des colonnes)
					$formatPage=format_page($type);
					if (generer_css_format_page($formatPage,$type)){
						echo "<li>"._T('texte_squelette_generer_01', array('fichier' => $type, 'extension' => "css"))."</li>";
						if (copy("data/myspip/css/".$type.".css","../css/".$type.".css")){
							echo _T('info_squelettes_backup_copie_fichier', array('source' => "data/myspip/css/".$type.".css", 'destination' => "../css/".$type.".css"));
						}
						else {
							echo _T('info_squelettes_backup_copie_fichier_erreur', array('fichier' => $type.".css"));
						}				
					}
					else {
						echo "<li>"._T('texte_squelette_generer_02', array('fichier' => $type, 'extension' => "css"))."</li>";
					}
				}
			}
		}
	} 
} 
closedir($handle); 



echo "\n<hr /><FORM ACTION='../index.php3' METHOD='post'>";	
echo "\n<p><DIV align='right'><INPUT CLASS='fondo' TYPE='submit' NAME='suivant' VALUE=\""._T('icone_visiter_site')." -->\"></FORM></DIV>";
echo "</p></td></tr>";
echo "</TABLE>";
fin_cadre_relief();
echo "<br/>";




fin_page();
// Fin modifs Aurlien PIERARD
?>
